
From: Adam Belay <ambx1@neo.rr.com>

Recently many PnPBIOS bugs have been triggered by static resource
information requests.  This patch makes an effort to further avoid making
them.



---

 drivers/pnp/pnpbios/core.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/pnp/pnpbios/core.c~pnp-avoid-static-allocations drivers/pnp/pnpbios/core.c
--- 25/drivers/pnp/pnpbios/core.c~pnp-avoid-static-allocations	2004-01-29 22:40:29.000000000 -0800
+++ 25-akpm/drivers/pnp/pnpbios/core.c	2004-01-29 22:40:29.000000000 -0800
@@ -251,7 +251,7 @@ static int pnpbios_set_resources(struct 
 	node = pnpbios_kmalloc(node_info.max_node_size, GFP_KERNEL);
 	if (!node)
 		return -1;
-	if (pnp_bios_get_dev_node(&nodenum, (char )PNPMODE_STATIC, node))
+	if (pnp_bios_get_dev_node(&nodenum, (char )PNPMODE_DYNAMIC, node))
 		return -ENODEV;
 	if(pnpbios_write_resources_to_node(res, node)<0) {
 		kfree(node);

_
